Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/7978/?format=api
{ "ob_id": 7978, "uuid": "d1880f3e928c223596160940f9b14582", "title": "NCAVEO: Multi-angle sky spectra collected using a sky irradiance scanner", "abstract": "This dataset compromises measurements of the angular distribution of spectral sky radiance (400-1000nm), collected as part of the Network for Calibration and Validation of Earth Observation (NCAVEO) 2006 Field Campaign. Measurements were taken at frequent intervals on the 17th June 2006 using a new instrument designed by Andrew McGonigle. The instrument is based on a temperature-stabilised miniature spectroradiometer interfaced to a telescope that can be programmed to make zenithal scans of sky irradiance. Azimuthal motion of the whole instrument was provided by manual adjustment. A sampling interval of 18° in zenith and 30° in azimuth was used. All data were collected when the spectrometer was thermally stabilised to the same temperature (approximately 7.5°C).\r\n\r\nEach sample of the sky irradiance distribution comprised two scans: one of the whole sky, and then a\r\nsecond low-gain scan shortly afterwards, concentrating just on the region around the Sun. Scans were repeated twice, with different integration times to allow for the extreme differences in brightness of the Sun and the sky. For further information and details on the structure of the files see the dataset's metadata PDF in linked documentation. ", "keywords": "NCAVEO, SKY SPECTRA, CHILBOLTON", "publicationState": "published", "dataPublishedTime": "2008-10-07T15:23:26", "doiPublishedTime": null, "updateFrequency": "notPlanned", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/12691/?format=api", "dataPath": "/neodc/ncaveo_field/data/Sky_spectra/", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 38168528, "numberOfFiles": 201, "fileFormat": "Images are in HDR format " }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/2281/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/172/?format=api", "nonGeographicFlag": false, "phenomena": [], "dataLineage": "These data were provided to NEODC by university of Southampton, who carried out work to convert formats to NASA-Ames, and write metadata documents. The metadata documents describing the processing are archived alongside the data as PDF files.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/5187/?format=api" ], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/7827/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/7824/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/30128/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32674/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32679/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32673/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32676/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32677/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32678/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32680/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32675/?format=api" ], "procedureAcquisition": "https://api.catalogue.ceda.ac.uk/api/v2/acquisitions/7981/?format=api", "procedureCompositeProcess": null, "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2522/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "registered", "accessRoles": null, "label": "registered: None group", "licenceURL": "http://www.nationalarchives.gov.uk/doc/open-government-licence/version/3/", "licenceClassifications": "any" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }